Package ru.bitel.bgbilling.plugins.cashcheck.common

# Class Check.CheckLine

java.lang.Object
ru.bitel.bgbilling.plugins.cashcheck.common.Check.CheckLine

Enclosing class:
  Check

public static class Check.CheckLine extends Object
Класс "линия чека", либо продажа(позиция), либо просто строка (когда сумма и отдел равны -1) В сервере печати используется так же: Строка чека. Название позиции, сумма, отдел. Может использоваться в драйверах для представления одной позиции в чеке.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Map<Integer,Object>`
  `customTags`
  `int`
  `dep`
  `Integer`
  `payMethod`
  `Integer`
  `payObject`
  `BigDecimal`
  `summa`
  `Integer`
  `tax`
  `String`
  `text`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CheckLine(BigDecimal summa, String text, int dep)`
  `CheckLine(BigDecimal summa, String text, int dep, Integer payMethod, Integer payObject)`
  `CheckLine(BigDecimal summa, String text, int dep, Integer payMethod, Integer payObject, Integer tax)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getDep()`
  `BigDecimal`
  `getSumma()`
  `String`
  `getText()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### summa

    public BigDecimal summa

  - ### text

    public String text

  - ### dep

    public int dep

  - ### payMethod

    public Integer payMethod

  - ### payObject

    public Integer payObject

  - ### tax

    public Integer tax

  - ### customTags

    public Map<Integer,Object> customTags

- ## Constructor Details

  - ### CheckLine

    public CheckLine(BigDecimal summa, String text, int dep)

  - ### CheckLine

    public CheckLine(BigDecimal summa, String text, int dep, Integer payMethod, Integer payObject)

  - ### CheckLine

    public CheckLine(BigDecimal summa, String text, int dep, Integer payMethod, Integer payObject, Integer tax)

- ## Method Details

  - ### getSumma

    public BigDecimal getSumma()

  - ### getText

    public String getText()

  - ### getDep

    public int getDep()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`